#define MAX_PKT_BURST     32
#define MAX_RX_QUEUE_PER_LCORE 16
#define NB_SOCKETS        8

struct mbuf_table {
	uint16_t len;
	struct rte_mbuf *m_table[MAX_PKT_BURST];
};

struct lcore_rx_queue {
	uint16_t port_id;
	uint8_t queue_id;
} __rte_cache_aligned;

struct lcore_conf {
	uint16_t stat_id;
	uint16_t n_rx_queue;
	struct lcore_rx_queue rx_queue_list[MAX_RX_QUEUE_PER_LCORE];
	uint16_t n_tx_port;
	uint16_t tx_port_id[RTE_MAX_ETHPORTS];
	uint16_t tx_queue_id[RTE_MAX_ETHPORTS];
	struct mbuf_table tx_mbufs[RTE_MAX_ETHPORTS];
} __rte_cache_aligned;

struct lcore_stat {
	long long int min_time;
	long long int max_time;
	long long int tmp_time;
	long long int max_num_packet;
	long long int lost_packet;
	long long int spurious_packet;
	long long int rx_packets;
	long long int old_timestamp_tsc;
	long long int new_timestamp_tsc; 
	long long int min_loop_time;
	long long int max_loop_time;
	long long int rte_eth_rx_burst_max_time;
	long long int max_packet_time;
	long long int max_free_time;
} __rte_cache_aligned;
